Bug 563991 - RFE: debuginfo-install "package" is sometimes not sufficient to debug said package (mainly plugins etc.)
RFE: debuginfo-install "package" is sometimes not sufficient to debug said pa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 564034 564263 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-11 12:02 EST by Jerry Amundson
Modified: 2014-01-21 18:13 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 564034 (view as bug list)
Environment:
Last Closed: 2010-12-03 17:57:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2010-02-11 12:02:05 EST
Description of problem:
debuginfo-install kdeaccessibility is not sufficient to debug kdeaccessibility

Version-Release number of selected component (if applicable):
kdeaccessibility-debuginfo-4.3.5-1.fc12.i686
kdeaccessibility-4.3.5-1.fc12.i686
kdeaccessibility-libs-4.3.5-1.fc12.i686

How reproducible:
always

Steps to Reproduce:
1.debuginfo-install kdeaccessibility
2.gdb kttsd
3.
  
Actual results:
missing separate debuginfo's

Expected results:
said debuginfo's not missing

Additional info:
[jerrya@jerry-D600-work ~]$ gdb kttsd 23482
GNU gdb (GDB) Fedora (7.0.1-31.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/kttsd...Reading symbols from /usr/lib/debug/usr/bin/kttsd.debug...
warning: section .gnu.liblist not found in /usr/lib/debug/usr/bin/kttsd.debug

warning: section .dynbss not found in /usr/lib/debug/usr/bin/kttsd.debug

warning: section .gnu.conflict not found in /usr/lib/debug/usr/bin/kttsd.debug
done.
done.
Attaching to program: /usr/bin/kttsd, process 23482

warning: .dynamic section for "/lib/libselinux.so.1" is not at the expected address

warning: difference appears to be caused by prelink, adjusting expectations

warning: .dynamic section for "/usr/lib/libogg.so.0" is not at the expected address

warning: difference appears to be caused by prelink, adjusting expectations
Reading symbols from /usr/lib/libkde3support.so.4...Reading symbols from /usr/lib/debug/usr/lib/libkde3support.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkde3support.so.4
Reading symbols from /usr/lib/libkttsd.so.4...Reading symbols from /usr/lib/debug/usr/lib/libkttsd.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkttsd.so.4
Reading symbols from /usr/lib/libQt3Support.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQt3Support.so.4.5.3.debug...
warning: "/usr/lib/debug/usr/lib/libQt3Support.so.4.5.3.debug": separate debug info file has no debug info
(no debugging symbols found)...done.
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libQt3Support.so.4
Reading symbols from /usr/lib/libkio.so.5...Reading symbols from /usr/lib/debug/usr/lib/libkio.so.5.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkio.so.5
Reading symbols from /usr/lib/libkdeui.so.5...Reading symbols from /usr/lib/debug/usr/lib/libkdeui.so.5.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkdeui.so.5
Reading symbols from /usr/lib/libQtSvg.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtSvg.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtSvg.so.4
Reading symbols from /usr/lib/libkdecore.so.5...Reading symbols from /usr/lib/debug/usr/lib/libkdecore.so.5.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkdecore.so.5
Reading symbols from /usr/lib/libQtDBus.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtDBus.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtDBus.so.4
Reading symbols from /usr/lib/libQtCore.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtCore.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtCore.so.4
Reading symbols from /lib/libpthread.so.0...Reading symbols from /usr/lib/debug/lib/libpthread-2.11.1.so.debug...done.
[Thread debugging using libthread_db enabled]
[New Thread 0x8c830b70 (LWP 24038)]
[New Thread 0x8d231b70 (LWP 24037)]
[New Thread 0x8ddffb70 (LWP 24036)]
[New Thread 0x8ecffb70 (LWP 24035)]
[New Thread 0x8fe42b70 (LWP 24034)]
[New Thread 0x94844b70 (LWP 24033)]
[New Thread 0x95245b70 (LWP 24032)]
[New Thread 0x95c46b70 (LWP 23887)]
[New Thread 0x96647b70 (LWP 23886)]
[New Thread 0x97215b70 (LWP 23885)]
[New Thread 0x97fffb70 (LWP 23884)]
[New Thread 0x993fbb70 (LWP 23883)]
[New Thread 0x9ddfdb70 (LWP 23882)]
[New Thread 0x9e7feb70 (LWP 23881)]
[New Thread 0x9f1ffb70 (LWP 23853)]
[New Thread 0x9fd47b70 (LWP 23852)]
[New Thread 0xa0915b70 (LWP 23851)]
[New Thread 0xa16ffb70 (LWP 23850)]
[New Thread 0xa2842b70 (LWP 23849)]
[New Thread 0xa7244b70 (LWP 23848)]
[New Thread 0xa7c45b70 (LWP 23847)]
[New Thread 0xa8646b70 (LWP 23545)]
[New Thread 0xa9047b70 (LWP 23544)]
[New Thread 0xa9c15b70 (LWP 23543)]
[New Thread 0xaa9ffb70 (LWP 23542)]
[New Thread 0xabdfeb70 (LWP 23541)]
[New Thread 0xb09fdb70 (LWP 23540)]
[New Thread 0xb13feb70 (LWP 23539)]
[New Thread 0xb5fd6b70 (LWP 23538)]
done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /usr/lib/libQtNetwork.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtNetwork.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtNetwork.so.4
Reading symbols from /usr/lib/libQtXml.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtXml.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtXml.so.4
Reading symbols from /usr/lib/libQtGui.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtGui.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtGui.so.4
Reading symbols from /usr/lib/libstdc++.so.6...Reading symbols from /usr/lib/debug/usr/lib/libstdc++.so.6.0.13.debug...done.
done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libm.so.6...Reading symbols from /usr/lib/debug/lib/libm-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libgcc_s.so.1...Reading symbols from /usr/lib/debug/lib/libgcc_s-4.4.2-20091222.so.1.debug...done.
done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libc.so.6...Reading symbols from /usr/lib/debug/lib/libc-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /usr/lib/libkparts.so.4...Reading symbols from /usr/lib/debug/usr/lib/libkparts.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkparts.so.4
Reading symbols from /usr/lib/libkpty.so.4...Reading symbols from /usr/lib/debug/usr/lib/libkpty.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkpty.so.4
Reading symbols from /usr/lib/libkfile.so.4...Reading symbols from /usr/lib/debug/usr/lib/libkfile.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkfile.so.4
Reading symbols from /usr/lib/libSM.so.6...Reading symbols from /usr/lib/debug/usr/lib/libSM.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libSM.so.6
Reading symbols from /usr/lib/libICE.so.6...Reading symbols from /usr/lib/debug/usr/lib/libICE.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libICE.so.6
Reading symbols from /usr/lib/libX11.so.6...Reading symbols from /usr/lib/debug/usr/lib/libX11.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libX11.so.6
Reading symbols from /usr/lib/libXext.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXext.so.6.4.0.debug...done.
done.
Loaded symbols for /usr/lib/libXext.so.6
Reading symbols from /usr/lib/libXft.so.2...Reading symbols from /usr/lib/debug/usr/lib/libXft.so.2.1.13.debug...done.
done.
Loaded symbols for /usr/lib/libXft.so.2
Reading symbols from /usr/lib/libXau.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXau.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libXdmcp.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXdmcp.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /usr/lib/libXpm.so.4...Reading symbols from /usr/lib/debug/usr/lib/libXpm.so.4.11.0.debug...done.
done.
Loaded symbols for /usr/lib/libXpm.so.4
Reading symbols from /usr/lib/libkutils.so.4...Reading symbols from /usr/lib/debug/usr/lib/libkutils.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libkutils.so.4
Reading symbols from /usr/lib/libQtSql.so.4...Reading symbols from /usr/lib/debug/usr/lib/libQtSql.so.4.5.3.debug...done.
done.
Loaded symbols for /usr/lib/libQtSql.so.4
Reading symbols from /usr/lib/libpng12.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpng12.so.0.39.0.debug...done.
done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libfreetype.so.6...Reading symbols from /usr/lib/debug/usr/lib/libfreetype.so.6.3.22.debug...done.
done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /lib/libgobject-2.0.so.0...Reading symbols from /usr/lib/debug/lib/libgobject-2.0.so.0.2200.4.debug...done.
done.
Loaded symbols for /lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libXi.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXi.so.6.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libXi.so.6
Reading symbols from /usr/lib/libXrender.so.1...Reading symbols from /usr/lib/debug/usr/lib/libXrender.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libXrender.so.1
Reading symbols from /usr/lib/libXrandr.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXrandr.so.2
Reading symbols from /usr/lib/libXfixes.so.3...Reading symbols from /usr/lib/debug/usr/lib/libXfixes.so.3.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libXfixes.so.3
Reading symbols from /usr/lib/libXcursor.so.1...Reading symbols from /usr/lib/debug/usr/lib/libXcursor.so.1.0.2.debug...done.
done.
Loaded symbols for /usr/lib/libXcursor.so.1
Reading symbols from /usr/lib/libXinerama.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libXinerama.so.1
Reading symbols from /usr/lib/libfontconfig.so.1...Reading symbols from /usr/lib/debug/usr/lib/libfontconfig.so.1.4.4.debug...done.
done.
Loaded symbols for /usr/lib/libfontconfig.so.1
Reading symbols from /usr/lib/libssl.so.10...Reading symbols from /usr/lib/debug/usr/lib/libssl.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libssl.so.10
Reading symbols from /usr/lib/libcrypto.so.10...Reading symbols from /usr/lib/debug/usr/lib/libcrypto.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libcrypto.so.10
Reading symbols from /lib/libz.so.1...Reading symbols from /usr/lib/debug/lib/libz.so.1.2.3.debug...done.
done.
Loaded symbols for /lib/libz.so.1
Reading symbols from /lib/libgthread-2.0.so.0...Reading symbols from /usr/lib/debug/lib/libgthread-2.0.so.0.2200.4.debug...done.
done.
Loaded symbols for /lib/libgthread-2.0.so.0
Reading symbols from /lib/librt.so.1...Reading symbols from /usr/lib/debug/lib/librt-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/librt.so.1
Reading symbols from /lib/libglib-2.0.so.0...Reading symbols from /usr/lib/debug/lib/libglib-2.0.so.0.2200.4.debug...done.
done.
Loaded symbols for /lib/libglib-2.0.so.0
Reading symbols from /lib/libdl.so.2...Reading symbols from /usr/lib/debug/lib/libdl-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libstreamanalyzer.so.0...Reading symbols from /usr/lib/debug/usr/lib/libstreamanalyzer.so.0.7.1.debug...done.
done.
Loaded symbols for /usr/lib/libstreamanalyzer.so.0
Reading symbols from /usr/lib/libstreams.so.0...Reading symbols from /usr/lib/debug/usr/lib/libstreams.so.0.7.1.debug...done.
done.
Loaded symbols for /usr/lib/libstreams.so.0
Reading symbols from /usr/lib/libsolid.so.4...Reading symbols from /usr/lib/debug/usr/lib/libsolid.so.4.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libsolid.so.4
Reading symbols from /usr/lib/libfam.so.0...Reading symbols from /usr/lib/debug/usr/lib/libfam.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libfam.so.0
Reading symbols from /lib/libacl.so.1...Reading symbols from /usr/lib/debug/lib/libacl.so.1.1.0.debug...done.
done.
Loaded symbols for /lib/libacl.so.1
Reading symbols from /lib/libattr.so.1...Reading symbols from /usr/lib/debug/lib/libattr.so.1.1.0.debug...done.
done.
Loaded symbols for /lib/libattr.so.1
Reading symbols from /usr/lib/libXtst.so.6...Reading symbols from /usr/lib/debug/usr/lib/libXtst.so.6.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libXtst.so.6
Reading symbols from /lib/libbz2.so.1...Reading symbols from /usr/lib/debug/lib/libbz2.so.1.0.4.debug...done.
done.
Loaded symbols for /lib/libbz2.so.1
Reading symbols from /usr/lib/liblzma.so.0...Reading symbols from /usr/lib/debug/usr/lib/liblzma.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/liblzma.so.0
Reading symbols from /lib/libresolv.so.2...Reading symbols from /usr/lib/debug/lib/libresolv-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libdbus-1.so.3...Reading symbols from /usr/lib/debug/lib/libdbus-1.so.3.4.0.debug...done.
done.
Loaded symbols for /lib/libdbus-1.so.3
Reading symbols from /lib/ld-linux.so.2...Reading symbols from /usr/lib/debug/lib/ld-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libutil.so.1...Reading symbols from /usr/lib/debug/lib/libutil-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /usr/lib/libutempter.so.0...Reading symbols from /usr/lib/debug/usr/lib/libutempter.so.1.1.5.debug...done.
done.
Loaded symbols for /usr/lib/libutempter.so.0
Reading symbols from /lib/libuuid.so.1...Reading symbols from /usr/lib/debug/lib/libuuid.so.1.3.0.debug...done.
done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /usr/lib/libxcb.so.1...Reading symbols from /usr/lib/debug/usr/lib/libxcb.so.1.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb.so.1
Reading symbols from /lib/libexpat.so.1...Reading symbols from /usr/lib/debug/lib/libexpat.so.1.5.2.debug...done.
done.
Loaded symbols for /lib/libexpat.so.1
Reading symbols from /lib/libgssapi_krb5.so.2...Reading symbols from /usr/lib/debug/lib/libgssapi_krb5.so.2.2.debug...done.
done.
Loaded symbols for /lib/libgssapi_krb5.so.2
Reading symbols from /lib/libkrb5.so.3...Reading symbols from /usr/lib/debug/lib/libkrb5.so.3.3.debug...done.
done.
Loaded symbols for /lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...Reading symbols from /usr/lib/debug/lib/libcom_err.so.2.1.debug...done.
done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libk5crypto.so.3...Reading symbols from /usr/lib/debug/lib/libk5crypto.so.3.1.debug...done.
done.
Loaded symbols for /lib/libk5crypto.so.3
Reading symbols from /usr/lib/libxml2.so.2...Reading symbols from /usr/lib/debug/usr/lib/libxml2.so.2.7.6.debug...done.
done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /lib/libcap-ng.so.0...Reading symbols from /usr/lib/debug/lib/libcap-ng.so.0.0.0.debug...done.
done.
Loaded symbols for /lib/libcap-ng.so.0
Reading symbols from /lib/libkrb5support.so.0...Reading symbols from /usr/lib/debug/lib/libkrb5support.so.0.1.debug...done.
done.
Loaded symbols for /lib/libkrb5support.so.0
Reading symbols from /lib/libkeyutils.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libkeyutils.so.1
Reading symbols from /lib/libselinux.so.1...Reading symbols from /usr/lib/debug/lib/libselinux.so.1.debug...done.
done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from /usr/lib/gconv/UTF-16.so...Reading symbols from /usr/lib/debug/usr/lib/gconv/UTF-16.so.debug...done.
done.
Loaded symbols for /usr/lib/gconv/UTF-16.so
Reading symbols from /lib/libnss_files.so.2...Reading symbols from /usr/lib/debug/lib/libnss_files-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/kde4/plugins/styles/oxygen.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/kde4/plugins/styles/oxygen.so
Reading symbols from /usr/lib/kde4/libkttsd_sbdplugin.so...Reading symbols from /usr/lib/debug/usr/lib/kde4/libkttsd_sbdplugin.so.debug...done.
done.
Loaded symbols for /usr/lib/kde4/libkttsd_sbdplugin.so
Reading symbols from /usr/lib/kde4/libkttsd_festivalintplugin.so...Reading symbols from /usr/lib/debug/usr/lib/kde4/libkttsd_festivalintplugin.so.debug...done.
done.
Loaded symbols for /usr/lib/kde4/libkttsd_festivalintplugin.so
Reading symbols from /usr/lib/kde4/libkttsd_phononplugin.so...Reading symbols from /usr/lib/debug/usr/lib/kde4/libkttsd_phononplugin.so.debug...done.
done.
Loaded symbols for /usr/lib/kde4/libkttsd_phononplugin.so
Reading symbols from /usr/lib/libphonon.so.4...Reading symbols from /usr/lib/debug/usr/lib/libphonon.so.4.4.0.debug...done.
done.
Loaded symbols for /usr/lib/libphonon.so.4
Reading symbols from /usr/lib/libpulse.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpulse.so.0.12.2.debug...done.
done.
Loaded symbols for /usr/lib/libpulse.so.0
Reading symbols from /usr/lib/libpulse-mainloop-glib.so.0...Reading symbols from /usr/lib/debug/usr/lib/libpulse-mainloop-glib.so.0.0.4.debug...done.
done.
Loaded symbols for /usr/lib/libpulse-mainloop-glib.so.0
Reading symbols from /usr/lib/libpulsecommon-0.9.21.so...Reading symbols from /usr/lib/debug/usr/lib/libpulsecommon-0.9.21.so.debug...done.
done.
Loaded symbols for /usr/lib/libpulsecommon-0.9.21.so
Reading symbols from /lib/libwrap.so.0...Reading symbols from /usr/lib/debug/lib/libwrap.so.0.7.6.debug...done.
done.
Loaded symbols for /lib/libwrap.so.0
Reading symbols from /usr/lib/libsndfile.so.1...Reading symbols from /usr/lib/debug/usr/lib/libsndfile.so.1.0.20.debug...done.
done.
Loaded symbols for /usr/lib/libsndfile.so.1
Reading symbols from /usr/lib/libasyncns.so.0...Reading symbols from /usr/lib/debug/usr/lib/libasyncns.so.0.3.1.debug...done.
done.
Loaded symbols for /usr/lib/libasyncns.so.0
Reading symbols from /lib/libnsl.so.1...Reading symbols from /usr/lib/debug/lib/libnsl-2.11.1.so.debug...done.
done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /usr/lib/libFLAC.so.8...Reading symbols from /usr/lib/debug/usr/lib/libFLAC.so.8.2.0.debug...done.
done.
Loaded symbols for /usr/lib/libFLAC.so.8
Reading symbols from /usr/lib/libvorbisenc.so.2...Reading symbols from /usr/lib/debug/usr/lib/libvorbisenc.so.2.0.6.debug...done.
done.
Loaded symbols for /usr/lib/libvorbisenc.so.2
Reading symbols from /usr/lib/libvorbis.so.0...Reading symbols from /usr/lib/debug/usr/lib/libvorbis.so.0.4.3.debug...done.
done.
Loaded symbols for /usr/lib/libvorbis.so.0
Reading symbols from /usr/lib/libogg.so.0...Reading symbols from /usr/lib/debug/usr/lib/libogg.so.0.6.0.debug...done.
done.
Loaded symbols for /usr/lib/libogg.so.0
Reading symbols from /usr/lib/kde4/plugins/phonon_platform/kde.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/kde4/plugins/phonon_platform/kde.so
Reading symbols from /lib/libasound.so.2...Reading symbols from /usr/lib/debug/lib/libasound.so.2.0.0.debug...done.
done.
Loaded symbols for /lib/libasound.so.2
Reading symbols from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so...Reading symbols from /usr/lib/debug/usr/lib/kde4/plugins/phonon_backend/phonon_xine.so.debug...done.
done.
Loaded symbols for /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
Reading symbols from /usr/lib/libxine.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libxine.so.1
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_cdda.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_cdda.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_v4l.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_v4l.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_http.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_http.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_file.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_file.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_pvr.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_pvr.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_dvb.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_dvb.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_decode_real.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_decode_real.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_decode_w32dll.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_decode_w32dll.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_decode_qt.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_decode_qt.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_decode_sputext.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_decode_sputext.so
Reading symbols from /usr/lib/xine/plugins/1.26/post/xineplug_post_goom.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/post/xineplug_post_goom.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_ao_out_pulseaudio.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_ao_out_pulseaudio.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_vo_out_none.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_vo_out_none.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_pnm.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_pnm.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_rtp.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_rtp.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_rtsp.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_rtsp.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_inp_net.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_inp_net.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_ogg.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_ogg.so
Reading symbols from /usr/lib/libspeex.so.1...Reading symbols from /usr/lib/debug/usr/lib/libspeex.so.1.5.0.debug...done.
done.
Loaded symbols for /usr/lib/libspeex.so.1
Reading symbols from /usr/lib/libtheora.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libtheora.so.0
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_image.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_image.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_mng.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_mng.so
Reading symbols from /usr/lib/libmng.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libmng.so.1
Reading symbols from /usr/lib/libjpeg.so.62...Reading symbols from /usr/lib/debug/usr/lib/libjpeg.so.62.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/liblcms.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/liblcms.so.1
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_flv.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_flv.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_nsv.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_nsv.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_real.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_real.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_avi.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_avi.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_yuv4mpeg2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_yuv4mpeg2.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_games.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_games.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_qt.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_qt.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg_pes.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg_pes.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_iff.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_iff.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_matroska.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_matroska.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg_ts.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg_ts.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg_block.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg_block.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_fli.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_fli.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_audio.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_audio.so
Reading symbols from /usr/lib/libmodplug.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libmodplug.so.0
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_slave.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_slave.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_pva.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_pva.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_dmx_mpeg.so
Reading symbols from /usr/lib/xine/plugins/1.26/xineplug_decode_lpcm.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/xine/plugins/1.26/xineplug_decode_lpcm.so

warning: section .gnu.liblist not found in /usr/lib/debug/usr/bin/kttsd.debug

warning: section .dynbss not found in /usr/lib/debug/usr/bin/kttsd.debug

warning: section .gnu.conflict not found in /usr/lib/debug/usr/bin/kttsd.debug
0x00110416 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install kdebase-runtime-libs-4.3.5-2.fc12.i686 keyutils-libs-1.2-6.fc12.i686 lcms-libs-1.18-3.fc12.i686 libXinerama-1.1-1.fc12.i686 libXrandr-1.3.0-3.fc12.i686 libmng-1.0.10-4.fc12.i686 libmodplug-0.8.7-2.fc12.i686 libtheora-1.1.0-1.fc12.i686 xine-lib-1.1.16.3-5.fc12.i686
Comment 1 Steven M. Parrish 2010-02-18 18:55:26 EST
reassigning to correct component

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Steven M. Parrish 2010-02-18 19:11:59 EST
*** Bug 564034 has been marked as a duplicate of this bug. ***
Comment 3 Steven M. Parrish 2010-02-18 19:13:00 EST
*** Bug 564263 has been marked as a duplicate of this bug. ***
Comment 4 Jerry Amundson 2010-02-19 07:55:36 EST
(In reply to comment #1)
> reassigning to correct component

Aha, it's debuginfo-install that's supposed to do all the dep magic here. I was somewhat mislead by [1], which is biased against packages but does not involve any use of d-i, so my bad. Thanks!


[1] http://fedoraproject.org/wiki/Packaging:Debuginfo
Comment 5 James Antill 2010-02-19 08:15:13 EST
 debuginfo-install isn't "magic" ... it just follows the requires of the package specified. For things like: /usr/lib/xine/plugins/1.26/xineplug_dmx_slave.so ... I'm pretty sure they'll be no direct dep. to this from kdeaccessibility.

 We'll be speaking to he abrt guys on monday, about how to make a few different cases better for everyone ... we'll discuss this then too. To solve it I think debuginfo-install would need to attach to the process and see all the shared libraries loaded. But we might be able to get something.
Comment 6 Kevin Kofler 2010-02-19 12:23:00 EST
> To solve it I think debuginfo-install would need to attach to the process and
> see all the shared libraries loaded.

Right. FWIW, KDE 4.4's DrKonqi does exactly that.
Comment 7 Jerry Amundson 2010-02-19 14:01:27 EST
Why mess with lists of shared libraries? That will just be convoluted and inaccurate. 
Yum already has the dep's needed from the binary package anyway, and in my simple way of thinking, "debuginfo-install package" is to debug package what "yum install" is to normal package. Why make it more confusing?
The point of this bug, at any rate, is that debuginfo-install does not work *as documented*. See [1] and [2] and note use of the word "all'.

[1] man debuginfo-install
[2] http://fedoraproject.org/wiki/StackTraces#Installing_debuginfo_RPMs_using_yum
Comment 8 Kevin Kofler 2010-02-19 14:05:17 EST
Because things can be dlopened plugins which are not dependencies, for very good reasons, e.g. xine-lib-extras-freeworld (patent-encumbered), plugins which are intentionally in optional subpackages to avoid dependency bloat etc.
Comment 9 Jerry Amundson 2010-02-19 14:06:01 EST
(In reply to comment #7)
> Why mess with lists of shared libraries? That will just be convoluted and
> inaccurate. 

Blech. I just realized the use case there - notable example of "plugins" in the bug description. Sorry about that. :-)
Well, my notes about the mis-leading documentation still stand.
Comment 10 Bug Zapper 2010-11-03 18:23:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-03 17:57:25 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.